Update PMI Dims

Valued Contributor
Valued Contributor

Hi All, I am trying to hide or turn off all PMI within a "PAR" or "ASM" file by using a custom button. I also seem to be having a hard time turning off the Base UCS. Is there anyone that can help me ? I will post the answer if i find it first.

 

application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.PartCommandConstants.PartViewISOView);
application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.PartCommandConstants.PartFormatShadedwithVisibleEdges);
application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.PartCommandConstants.PartSketchHideAllSketches);
application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.PartCommandConstants.PartReferencePlaneHideAllReferencePlanes);
application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.PartCommandConstants.PartReferencePlaneHideAllReferenceAxes);
//  application.StartCommand((SolidEdgeFramework.ApplicationGlobalConstants)10219);

 

Nathan M. Gardner

https://www.etsy.com/people/NathanMGardner

Be sure to check out my work!!
Made in Maine Wood Carvings